import { type Metadata } from 'next'

import { SimpleLayout } from '@/components/SimpleLayout'

export const metadata: Metadata = {
  title: 'Thank You',
  description: 'Thanks for becoming a member.',
}

export default async function ThankYou({
  searchParams
}: {
  searchParams: { [key: string]: string | string[] | undefined }
}) {

  const { redirect_status } = searchParams;
  if (redirect_status !== 'succeeded') {
    // TODO: Display error
  }

  return (
    <SimpleLayout
      title="Thanks for becoming a member."
      intro="Thank you for joining the West Sound Community Club."
    >
      <p className="mt-6 text-base text-zinc-600 dark:text-zinc-400">
        Your financial support helps us perserve this historic building and to host events for the community. We&apos;ll add you to our member mailing list so you receive announcement emails about upcoming events.
      </p>
    </SimpleLayout>
  )
}
